import React from 'react';
import ReactDOM from 'react-dom';

import { PlayerFramework } from '@sky-uk-ott/client-lib-js-ctv-framework-main';
import { BrowserDeviceFactory } from '@sky-uk-ott/client-lib-js-ctv-framework-browser';

import App from './app';

async function bootstrap() {
    PlayerFramework.registerDeviceFactory(new BrowserDeviceFactory());
    await PlayerFramework.initialise();

    ReactDOM.render(<App />, document.getElementById('react'));
}

bootstrap();
